> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/tasks.md).

# Tasks

Tasks in Struct PIM provide a central place for organizing and tracing work across the PIM. They help teams coordinate assignments, follow progress, and keep relevant products and other entities connected to the work that needs to be done.

Tasks can be assigned to individual users or user groups and can be include deadlines, comments, and attached entities. This makes it easier to keep track of responsibilities and ensure that work is followed through to completion.

{% hint style="info" %}
This page is about the Tasks sidebar. To read about the task overview, go here: [Task overview](/reference/tasks/task-overview.md)
{% endhint %}

***

### What you can do with tasks

* **Organize and track work** across the PIM by creating tasks for specific assignments and responsibilities.
* **Assign responsibility** to individual users or user groups to make ownership clear.
* **Connect work to PIM entities** by attaching products, categories, variants, assets, and other entities to task.
* **Track task progres**s by managing the status of attached entities and following task updates.
* **Keep communication in context** by using comments to share updates, questions, and changes related to a task.
* **Stay focused on important work** by filtering tasks and pinning frequently accessed tasks for quick access.

***

### Tasks walkthrough

#### Open task overview

Click "Go to task overview".

#### View tasks

You can view tasks assigned to you, by clicking the "Assigned to me" tab.

You can view tasks created by you, by clicking the "Created by me" tab.

#### Toggle between open tasks and all tasks

Clicking "Open tasks" will only show open tasks, whereas clicking "All tasks" will show all tasks.

#### Read comments on task

Click the "Unread comments"-icon

#### Edit task

1. Click "Edit task"-icon
2. Modify [task details](/reference/tasks/task-details.md)

#### Pin/Unpin task

Click the "Pin task"-icon for the task you want to pin

***

### Related tutorials

* [**How to set up and edit a task** - Configure task details, deadlines, and attached entities.](/tutorials/guides/how-to-use-tasks/how-to-set-up-and-edit-a-task.md)
* [**How to assign a task** - Assign tasks to users or user groups.](/tutorials/guides/how-to-use-tasks/how-to-assign-a-task.md)
* [**How to add and handle attached entities for a task** - Track progress through attached entities.](/tutorials/guides/how-to-use-tasks/how-to-add-and-handle-attached-entities-for-a-task.md)
* [**How to use comments on a task** - Share updates and track task changes.](/tutorials/guides/how-to-use-tasks/how-to-use-comments-on-a-task.md)
* [**How to filter tasks** - Find tasks using predefined and custom filters.](/tutorials/guides/how-to-use-tasks/how-to-filter-tasks.md)
* [**How to pin a task** - Keep important tasks accessible from the sidebar.](/tutorials/guides/how-to-use-tasks/how-to-pin-a-task.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/tasks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
